<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.inspect.partrolresult.mapper.DeviceStateMapper">


    <update id="updatePatrolDeviceTaskState" parameterType="java.lang.String">
        update patrol_device_state_record
        set task_state = 1
        where FIND_IN_SET(patrol_device_code, #{deviceCodes})
          and TO_DAYS(now()) = TO_DAYS(time)


    </update>

</mapper>